/* -------------------------------------------------------------------------- 
 * - module: get_date()
 * -
 * - author: Chris Laughbon
 * - date  : Dec 7, 1994
 * - purpose: gets the system date and time, returns date/time in seed time
 * -		  format; YYYY,DDD,HH:MM:SS.FFFF
 * - 
 * - Note:	  the fractional part is always zero!
 * -
 * ---------------------------------------------------------------------------
 */
#include <stdio.h>
#include <sys/time.h>
#include <pwd.h>

char *get_date()

{
	struct timeval tp;
	struct timezone tz;
	struct tm *tm;
	char buf[200];

	gettimeofday(&tp, &tz);

	tm = localtime(&tp.tv_sec);

	strftime(buf, sizeof(buf), "%Y,%j,%H:%M:%S.0000", tm);

	return buf;
	
}

/* ------------------------------------------------------------------------ */

