/*===========================================================================*/
/* DMC interim out |                opmsg                  |         Utility */
/*===========================================================================*/
/*
	Name:		opmsg_handler
	Purpose:	print messages to operator in a standard way
				(not used for user messages)
	Usage:		void opmsg ();
				char *message;
				opmsg_handler (message);
	Input:		message = a string containing the message to be written
	Output:		none
	Externals:	none
	Messages:	none
	Warnings:	none
	Errors:		none
	Fatals:		none
	Called by:	anything
	Calls to:	none
	Algorithm:	write a message to stderr
	Notes:		a newline is added in this routine, so one need not be present
					in the "message" string
	Problems:	none known
	Debug:		not used
	References:	none
	Language:	Sun OS 3.5 C
	Revisions:	02/22/89  Dennis O'Neill  original version
*/

#include "output.h"

void opmsg (message)
char *message;
{
	fprintf (stderr, "%s\n", message);
	return;
}
